User's Details
curl --request POST \
--url https://api.agntdata.dev/v1/data/tiktok/user/details \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "mrbeast"
}
'import requests
url = "https://api.agntdata.dev/v1/data/tiktok/user/details"
payload = { "username": "mrbeast" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: 'mrbeast'})
};
fetch('https://api.agntdata.dev/v1/data/tiktok/user/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"username": "mrbeast",
"user_id": "6614519312189947909",
"profile_image": "https://p19-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/54435a1ec165931f60f2a3872de74aa5~c5_1080x1080.jpeg?x-expires=1664816400&x-signature=JoBKISbZ5pjbPTw7q6%2FVzJK5wn8%3D",
"following": 241,
"followers": 46300000,
"total_videos": 249,
"total_heart": 487600000,
"verified": true,
"description": "apply :)"
}{
"detail": [
{
"loc": [],
"msg": "",
"type": ""
}
]
}User
User's Details
Return User Details
POST
/
v1
/
data
/
tiktok
/
user
/
details
User's Details
Authorizations
Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...
Body
application/json
User Id Request Schema
⌘I